#ifndef _H_REGS_
#define _H_REGS_

/**
 * Register mapping of CC11010 chip
 */
enum REG
{
	REG__IOCFG2 = 0x00,
	REG__IOCFG1,
	REG__IOCFG0,
	REG__FIFOTHR,
	REG__SYNC1,
	REG__SYNC0,
	REG__PKTLEN,
	REG__PKTCTRL1,
	REG__PKTCTRL0,
	REG__ADDR,
	REG__CHANNR,
	REG__FSCTRL1,
	REG__FSCTRL0,
	REG__FREQ2,
	REG__FREQ1,
	REG__FREQ0,
	REG__MDMCFG4,
	REG__MDMCFG3,
	REG__MDMCFG2,
	REG__MDMCFG1,
	REG__MDMCFG0,
	REG__DEVIATN,
	REG__MCSM2,
	REG__MCSM1,
	REG__MCSM0,
	REG__FOCCFG,
	REG__BSCFG,
	REG__AGCTRL2,
	REG__AGCTRL1,
	REG__AGCTRL0,
	REG__WOREVT1,
	REG__WOREVT0,
	REG__WORCTRL,
	REG__FREND1,
	REG__FREND0,
	REG__FSCAL3,
	REG__FSCAL2,
	REG__FSCAL1,
	REG__FSCAL0,
	REG__RCCTRL1,
	REG__RCCTRL0,
	REG__FSTEST,
	REG__PTEST,
	REG__AGCTEST,
	REG__TEST2,
	REG__TEST1,
	REG__TEST0,
	REG__SPACE,
	REG__PARTNUM,
	REG__VERSION,
	REG__FREQEST,
	REG__LQI,
	REG__RSSI,
	REG__MARCSTATE,
	REG__WORTIME1,
	REG__WORTIME0,
	REG__PKTSTATUS,
	REG__VCO_VC_DAC,
	REG__TXBYTES,
	REG__RXBYTES,
	REG__RCCTRL1_ST,
	REG__RCCTRL0_ST,
	REG__PATABLE,
	REG__FIFO,
	REG__LAST			// Sentinel
};

enum CMD
{
	CMD__SRES = 0x30,
	CMD__SFSTXON,
	CMD__SXOFF,
	CMD__SCAL,
	CMD__SRX,
	CMD__STX,
	CMD__SIDLE,
	CMD__NOP,
	CMD__SWOR,
	CMD__SPWD,
	CMD__SFRX,
	CMD__SFTX,
	CMD__SWORRST,
	CMD__SNOP,
	CMD__PATABLE,
	CMD__FIFO,
	CMD__LAST			// Sentinel
};

#endif

